#include "_clib.h"
#include "sutils.h"

char* skipWS(char* s) {
	while ((*s)==' ' || (*s)=='\t') {
		s++;
	}
	return s;
}

void trimEndingChar(char* s, char c) {
	char* p=s+_strlen(s)-1;

	while ( p>=s && ((*p)==c) ) {
		p--;
	}

	(*(++p))=0;
}

void trimEndingWS(char* s) {
	char* p=s+_strlen(s)-1;

	while ( p>=s && ((*p)==' ' || (*p)=='\t') ) {
		p--;
	}

	(*(++p))=0;
}

int strStartsWith(char* s, char* start) {

	while ((*start)!=0 && (*s)!=0 && (*start)==(*s)) {
		*start++; *s++;
	}

	return ((*start)==0);
}

int endsWith(char* s, char* end) {
	if (_strlen(end)>_strlen(s)) {
		return 0;
	} else {
		char* sEnd=s+_strlen(s)-_strlen(end);

		return (_strcmp(sEnd, end)==0);
	}
}

char *itoa(char *str, int num) 
{
   int k;
   char c, flag, *ostr;

   if (num < 0) {
      num = -num;
      *str++ = '-';
   }
   k = 10000;
   ostr = str;
   flag = 0;
   while (k) {
      c = num / k;
      if (c || k == 1 || flag) {
         num %= k;
         c += '0';
         *str++ = c;
         flag = 1;
      }
      k /= 10;
   }
   *str = '\0';
   return ostr;
}

void strReplaceChar(char* str, char s, char d) {
	while (*str!=0) {
		if (*str==s) *str=d;

		str++;
	}
}

char toupper(char c)
{
  return ((c >= 'a' && c <= 'z') ? c - 32: c);
}

void toUpperCase(char* s) {
	while (*s!=0) {
		*s=toupper(*s);

		s++;
	}
}