#include "ms_file.h"
#include "_clib.h"

int	fuDir(char* inPath, io_dirent_t* outFiles, int outFilesMax) {
	int ret,fd;
	int nbFiles = 0;

	fd = sceIoDopen(inPath);
	if (fd>0) {
		do {
			_memset(&outFiles[nbFiles], 0, sizeof(io_dirent_t));

			ret = sceIoDread(fd, &outFiles[nbFiles]);
			if (ret>0) nbFiles++;

		} while((ret>0) && (nbFiles<outFilesMax));

		sceIoDclose(fd);
	}
	
	return nbFiles;
}



